<?php

declare(strict_types=1);


namespace App\Utils\Order\Book;


use App\Utils\Money\Money;

class OrderBook
{

    /**
     * @var array
     */
    private array $bids;
    /**
     * @var array
     */
    private array $asks;

    /**
     * OrderBook constructor.
     * @param Money[] $bids
     * @param Money[] $asks
     */
    public function __construct(
        array $bids,
        array $asks
    )
    {
        $this->bids = $bids;
        $this->asks = $asks;
    }
}